[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TConnectionDefClass

Class of TConnectionDef

## Declaration

Source position: sqldb.pp line 821

`type TConnectionDefClass = class of TConnectionDef;`

## Description

TConnectionDefClass is used in the RegisterConnection call to register a new TConnectionDef instance.

## See also

RegisterConnection |  | Register a new connection type for use in the universal connector
TConnectionDef |  | Connection type definition class
UnregisterConnection |  | Unregister a registered connection type